Subject: bug#64597: mode-line tool inaccessible when window width is small

From: uzibalqa <[email-masked]>
Date: Fri, 14 Jul 2023 21:25:29 +0000

------- Original Message -------
On Friday, July 14th, 2023 at 3:56 AM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Thu, 13 Jul 2023 15:15:58 +0000
> > From: uzibalqa via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> > 
> > When a window is reduced in size I find no way to be able to use the mode-line tools.
> 
> 
> What do you mean by "mode-line tools", and how short does the
> mode-line have to be in order to see the problems you see?
> 
> IOW, please provide a complete recipe to reproduce this problem,
> starting from "emacs -Q", so that the problem and the way to reproduce
> it will be clear.
> 
> Thanks.

Suppose I have a bunch of self-defined minor modes displayed in the modeline, 
where the lighters have the capability of showing menus (e.g. Outl).

Now, consider I need an accessible modeline (i.e. one with big font and bold weight).
Reducing the frame or window width makes the lighters at the far end of the modeline
inaccessible for use.